;-- R:\KERNEL~1.25U\KEXBASEN.DLL --;

Exports
 PrintDlgExA=kexbasen.dll.PrintDlgExA @1 ; 0x00001BF4
 PrintDlgExA_new=kexbasen.dll.PrintDlgExA_new @2 ; 0x00001BF4
 PrintDlgExW=kexbasen.dll.PrintDlgExW @3 ; 0x00001D78
 PrintDlgExW_0=kexbasen.dll.PrintDlgExW_0 @4 ; 0x00001D78
 PrintDlgExW_1=kexbasen.dll.PrintDlgExW_1 @5 ; 0x00001DC8
 PrintDlgExW_2=kexbasen.dll.PrintDlgExW_2 @6 ; 0x00001E7D
 PrintDlgW=kexbasen.dll.PrintDlgW @7 ; 0x00002009
 PrintDlgW_0=kexbasen.dll.PrintDlgW_0 @8 ; 0x00002009
 PrintDlgW_1=kexbasen.dll.PrintDlgW_1 @9 ; 0x0000209D
 PrintDlgW_2=kexbasen.dll.PrintDlgW_2 @10 ; 0x000021CE
 PrintDlgW_3=kexbasen.dll.PrintDlgW_3 @11 ; 0x0000235D
 get_api_table=kexbasen.dll.get_api_table @12 ; 0x00011C1D

[ADVAPI32.DLL]
 GetUserNameW
 IsTextUnicode
 RegConnectRegistryW
 RegDeleteValueW
 RegEnumKeyExW
 RegEnumKeyW
 RegLoadKeyW
 RegQueryInfoKeyW
 RegQueryMultipleValuesW
 RegQueryValueW
 RegReplaceKeyW
 RegSaveKeyW
 RegSetValueW
 RegUnLoadKeyW

[COMDLG32.DLL]
 ChooseColorW
 ChooseFontW
 FindTextW
 GetFileTitleW
 GetOpenFileNameA
 GetOpenFileNameW
 GetSaveFileNameA
 GetSaveFileNameW
 PageSetupDlgW
 PrintDlgExA
 PrintDlgExW
 PrintDlgExW
 PrintDlgExW
 PrintDlgW
 PrintDlgW
 PrintDlgW
 PrintDlgW
 PrintDlgW
 ReplaceTextW

[CRYPTUI.DLL]
 CryptUIDlgViewContext

[GDI32.DLL]
 CopyEnhMetaFileW
 CopyMetaFileW
 CreateColorSpaceW
 CreateDCW
 CreateEnhMetaFileW
 CreateFontIndirectW
 CreateFontW
 CreateICW
 CreateMetaFileW
 CreateScalableFontResourceW
 EnumICMProfilesW
 GdiAlphaBlend
 GdiGradientFill
 GdiTransparentBlt
 GetCharABCWidthsI
 GetCharABCWidthsW
 GetCharWidthI
 GetCharacterPlacementW
 GetEnhMetaFileDescriptionW
 GetEnhMetaFileW
 GetGlyphIndicesA
 GetGlyphIndicesW
 GetGlyphOutlineW
 GetICMProfileW
 GetKerningPairsW
 GetLogColorSpaceW
 GetMetaFileW
 GetOutlineTextMetricsW
 GetTextExtentExPointI
 GetTextExtentExPointW
 GetTextExtentPointI
 GetTextFaceW
 GetTextMetricsW
 ResetDCW
 SetICMProfileW
 StartDocW
 UpdateICMRegKeyW

[IPHLPAPI.DLL]
 IcmpCloseHandle
 IcmpCreateFile
 IcmpSendEcho

[KERNEL32.DLL]
 BuildCommDCBAndTimeoutsW
 BuildCommDCBW
 CallNamedPipeW
 CancelTimerQueueTimer
 ChangeTimerQueueTimer
 CommConfigDialogW
 CreateEventW
 CreateFileMappingW
 CreateMailslotW
 CreateMutexW
 CreateSemaphoreW
 CreateTimerQueue
 CreateTimerQueueTimer
 CreateWaitableTimerW
 DelayLoadFailureHook
 DeleteTimerQueue
 DeleteTimerQueueEx
 DeleteTimerQueueTimer
 EnumCalendarInfoExW
 EnumCalendarInfoW
 EnumDateFormatsExW
 EnumDateFormatsW
 EnumSystemCodePagesW
 EnumSystemLocalesW
 EnumTimeFormatsW
 ExpandEnvironmentStringsW
 FatalAppExitW
 FillConsoleOutputCharacterW
 FormatMessageW
 GetCPInfoExW
 GetCalendarInfoW
 GetComputerNameW
 GetConsoleTitleW
 GetCurrencyFormatW
 GetDateFormatW
 GetDriveTypeW
 GetEnvironmentVariableW
 GetLogicalDriveStringsW
 GetNamedPipeHandleStateW
 GetNumberFormatW
 GetPrivateProfileIntW
 GetPrivateProfileSectionNamesW
 GetPrivateProfileSectionW
 GetPrivateProfileStringW
 GetPrivateProfileStructW
 GetProfileIntW
 GetProfileSectionW
 GetProfileStringW
 GetTimeFormatW
 GetVolumeInformationW
 HeapAlloc
 HeapCreate
 HeapDestroy
 HeapFree
 HeapReAlloc
 HeapSize
 IsBadStringPtrW
 OpenEventW
 OpenFileMappingW
 OpenMutexW
 OpenSemaphoreW
 OpenWaitableTimerW
 PeekConsoleInputW
 QueryDosDeviceW
 QueueUserWorkItem
 ReadConsoleOutputCharacterW
 ReadConsoleOutputW
 ReadConsoleW
 RegisterWaitForSingleObject
 RegisterWaitForSingleObjectEx
 ScrollConsoleScreenBufferW
 SetCalendarInfoW
 SetComputerNameW
 SetDefaultCommConfigW
 SetLocaleInfoW
 SetTimerQueueTimer
 SetVolumeLabelW
 TlsAlloc
 TlsFree
 TlsGetValue
 TlsSetValue
 UnregisterWait
 UnregisterWaitEx
 WaitNamedPipeW
 WriteConsoleInputW
 WriteConsoleOutputCharacterW
 WriteConsoleOutputW
 WriteConsoleW
 WritePrivateProfileSectionW
 WritePrivateProfileStringW
 WritePrivateProfileStructW
 WriteProfileSectionW
 WriteProfileStringW

[NTDLL.DLL]
 RtlFillMemory
 RtlImageDirectoryEntryToData
 RtlImageNtHeader
 RtlImageRvaToSection
 RtlImageRvaToVa
 RtlMoveMemory
 RtlZeroMemory
 _CIcos
 _CIlog
 _CIpow
 _CIsin
 _CIsqrt
 __isascii
 __iscsym
 __iscsymf
 __toascii
 _alloca_probe
 _atoi64
 _chkstk
 _ftol
 _ftol2
 _ftol2_sse
 _i64toa
 _i64tow
 _itoa
 _itow
 _lfind
 _ltoa
 _ltow
 _memccpy
 _memicmp
 _snprintf
 _snwprintf
 _splitpath
 _strcmpi
 _stricmp
 _strlwr
 _strnicmp
 _strupr
 _tolower
 _toupper
 _ui64toa
 _ui64tow
 _ultoa
 _ultow
 _vsnprintf
 _vsnwprintf
 _wcsicmp
 _wcslwr
 _wcsnicmp
 _wcsupr
 _wtoi
 _wtoi64
 _wtol
 abs
 atan
 atoi
 atol
 bsearch
 ceil
 cos
 fabs
 floor
 isalnum
 isalpha
 iscntrl
 isdigit
 isgraph
 islower
 isprint
 ispunct
 isspace
 isupper
 iswalpha
 iswctype
 iswdigit
 iswlower
 iswspace
 iswxdigit
 isxdigit
 labs
 log
 mbstowcs
 memchr
 memcmp
 memcpy
 memmove
 memset
 pow
 qsort
 sin
 sprintf
 sqrt
 sscanf
 strcat
 strchr
 strcmp
 strcpy
 strcspn
 strlen
 strncat
 strncmp
 strncpy
 strpbrk
 strrchr
 strspn
 strstr
 strtol
 strtoul
 swprintf
 tan
 tolower
 toupper
 towlower
 towupper
 vsprintf
 wcscat
 wcschr
 wcscmp
 wcscpy
 wcscspn
 wcslen
 wcsncat
 wcsncmp
 wcsncpy
 wcspbrk
 wcsrchr
 wcsspn
 wcsstr
 wcstol
 wcstombs
 wcstoul

[OLE32.DLL]
 CoWaitForMultipleHandles
 HDC_UserFree
 HDC_UserMarshal
 HDC_UserSize
 HDC_UserUnmarshal
 HICON_UserFree
 HICON_UserMarshal
 HICON_UserSize
 HICON_UserUnmarshal

[OLEAUT32.DLL]
 442
 443
 RegisterTypeLibForUser
 UnRegisterTypeLibForUser

[RASAPI32.DLL]
 RasDeleteEntryW
 RasDeleteSubEntryW
 RasEnumDevicesW
 RasGetEntryPropertiesW
 RasRenameEntryW
 RasSetEntryPropertiesW
 RasSetSubEntryPropertiesW
 RasValidateEntryNameW

[RPCRT4.DLL]
 NdrDllGetClassObject
 RpcStringFreeW
 UuidCreateSequential
 UuidFromStringW
 UuidToStringW

[secur32.DLL]
 AcquireCredentialsHandleW
 CompleteAuthToken
 DecodeMessage
 EncodeMessage
 EnumerateSecurityPackagesW
 InitSecurityInterfaceW
 InitializeSecurityContextW
 QueryContextAttributesW
 QueryCredentialsAttributesW
 QuerySecurityPackageInfoW

[SETUPAPI.DLL]
 CM_Connect_MachineA
 CM_Connect_MachineW
 CM_Disconnect_Machine
 CM_Free_Log_Conf_Handle
 CM_Free_Res_Des_Handle
 CM_Get_Child
 CM_Get_Child_Ex
 CM_Get_DevNode_Registry_PropertyW
 CM_Get_DevNode_Registry_Property_ExA
 CM_Get_DevNode_Registry_Property_ExW
 CM_Get_DevNode_Status
 CM_Get_DevNode_Status_Ex
 CM_Get_Device_IDA
 CM_Get_Device_IDW
 CM_Get_Device_ID_ExA
 CM_Get_Device_ID_ExW
 CM_Get_Device_ID_ListW
 CM_Get_Device_ID_List_SizeW
 CM_Get_First_Log_Conf_Ex
 CM_Get_Next_Res_Des_Ex
 CM_Get_Parent
 CM_Get_Parent_Ex
 CM_Get_Res_Des_Data_Ex
 CM_Get_Res_Des_Data_Size_Ex
 CM_Get_Sibling
 CM_Get_Sibling_Ex
 CM_Locate_DevNodeA
 CM_Locate_DevNodeW
 CM_Locate_DevNode_ExW
 CM_Open_Class_KeyA
 CM_Reenumerate_DevNode_Ex
 CM_Set_DevNode_Problem_Ex
 CM_Setup_DevNode_Ex

[SHELL32.DLL]
 DragQueryFileW
 ExtractIconExW
 ExtractIconW
 FindExecutableW
 SHBindToParent
 SHBrowseForFolderW
 SHCreateDirectoryExA
 SHCreateDirectoryExW
 SHFileOperationW
 SHGetFileInfoW
 SHGetFolderLocation
 SHGetFolderPathA
 SHGetFolderPathAndSubDirA
 SHGetFolderPathAndSubDirW
 SHGetFolderPathW
 SHGetNewLinkInfoW
 SHGetSpecialFolderLocation
 SHGetSpecialFolderPathA
 SHGetSpecialFolderPathW
 SHParseDisplayName
 ShellAboutW
 ShellExecuteExW
 ShellExecuteW
 Shell_NotifyIconW
 StrChrA
 StrChrW
 StrRStrIA

[SHFOLDER.DLL]
 SHGetFolderPathA
 SHGetFolderPathW

[USER32.DLL]
 BroadcastSystemMessageW
 ChangeDisplaySettingsExW
 ChangeDisplaySettingsW
 DdeCreateStringHandleW
 DdeInitializeW
 DdeQueryStringW
 DlgDirListComboBoxW
 DlgDirListW
 DlgDirSelectComboBoxExW
 DlgDirSelectExW
 DrawStateW
 DrawTextExW
 DrawTextW
 EnumDisplayDevicesW
 EnumDisplaySettingsExW
 EnumDisplaySettingsW
 EnumPropsExW
 EnumPropsW
 FindWindowExW
 FindWindowW
 GetAltTabInfoW
 GetClassNameW
 GetClipboardFormatNameW
 GetKeyNameTextW
 GetKeyboardLayoutNameW
 GetMenuItemInfoW
 GetMenuStringW
 GetMonitorInfoW
 GetPropW
 GetTabbedTextExtentW
 GrayStringW
 InsertMenuItemW
 LoadAcceleratorsW
 LoadBitmapW
 LoadCursorFromFileW
 LoadCursorW
 LoadIconW
 LoadImageW
 LoadKeyboardLayoutW
 MapVirtualKeyExW
 MapVirtualKeyW
 MessageBoxIndirectW
 RegisterClipboardFormatW
 RegisterDeviceNotificationW
 RegisterWindowMessageW
 RemovePropW
 SetMenuItemInfoW
 SetPropW
 SystemParametersInfoW
 TabbedTextOutW
 VkKeyScanExW
 VkKeyScanW
 WinHelpW
 wsprintfW
 wvsprintfW

[WINMM.DLL]
 waveInGetDevCapsW
 waveOutGetDevCapsW

[WINSPOOL.DRV]
 AddJobW
 AddMonitorW
 AddPortW
 AddPrintProcessorW
 AddPrintProvidorW
 AddPrinterDriverW
 AddPrinterW
 AdvancedDocumentPropertiesW
 ConfigurePortW
 DeleteMonitorW
 DeletePortW
 DeletePrintProcessorW
 DeletePrintProvidorW
 DeletePrinterDriverW
 DeviceCapabilitiesW
 DocumentPropertiesW
 EnumPrintersW
 GetDefaultPrinterA
 GetDefaultPrinterW
 GetPrintProcessorDirectoryW
 GetPrinterDriverDirectoryW
 OpenPrinterW
 ResetPrinterW
 SetJobW
 SetPrinterDataW
 SetPrinterW
 StartDocPrinterW

[WS2_32.DLL]
 freeaddrinfo
 getaddrinfo
 getnameinfo
 select
